package registrar;

import tester.Tester;

class Examples {

    ILo<Integer> testList = new Cons<Integer>(
        1,
        new Cons<Integer>(2, new Mt<Integer>())
    );

    void testTest(Tester t) {
        t.checkExpect(1, 1);
    }
}

interface ILo<T> {}

class Cons<T> implements ILo<T> {

    T first;
    ILo<T> rest;

    Cons(T first, ILo<T> rest) {
        this.first = first;
        this.rest = rest;
    }
}

class Mt<T> implements ILo<T> {}
